%global modulename es-abstract

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-es-abstract
Version:        1.12.0
Release:        1%{?dist}
Summary:        ECMAScript spec abstract operations.

License:        MIT
URL:            https://github.com/ljharb/es-abstract#readme
Source0:        https://registry.npmjs.org/es-abstract/-/es-abstract-1.12.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(es-to-primitive) >= 1.1.1 with npmlib(es-to-primitive) < 2.0.0))
BuildRequires:  ((npmlib(function-bind) >= 1.1.1 with npmlib(function-bind) < 2.0.0))
BuildRequires:  ((npmlib(has) >= 1.0.1 with npmlib(has) < 2.0.0))
BuildRequires:  ((npmlib(is-callable) >= 1.1.3 with npmlib(is-callable) < 2.0.0))
BuildRequires:  ((npmlib(is-regex) >= 1.0.4 with npmlib(is-regex) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
ECMAScript spec abstract operations.

%package 1.12.0
Summary:        ECMAScript spec abstract operations.


%description 1.12.0
ECMAScript spec abstract operations.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .editorconfig %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .eslintrc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .jscs.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .nycrc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr GetIntrinsic.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Makefile %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr es2015.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr es2016.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr es2017.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr es5.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr es6.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr es7.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr helpers %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr operations %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.12.0
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Nov 20 2018 npm2srpm <dshea@redhat.com> - 1.12.0-1
- Package automatically generated by npm2srpm
